<!--
~ Copyright (c) 2022, WSO2 Inc. (http://www.wso2.com). All Rights Reserved.
~
~ This software is the property of WSO2 Inc. and its suppliers, if any.
~ Dissemination of any information or reproduction of any material contained
~ herein in any form is strictly forbidden, unless permitted by WSO2 expressly.
~ You may not alter or remove any copyright or other notice from copies of this content."
-->

<%@ page import="org.apache.commons.lang.StringUtils" %>

<!-- Include tenant context -->
<jsp:directive.include file="../tenant-resolve.jsp"/>

<!-- Branding Preferences -->
<jsp:directive.include file="./branding-preferences.jsp"/>

<%
    String primaryColor = "";

    if (colors != null) {
        if (colors.has("primary") && !StringUtils.isBlank(colors.getString("primary"))) {
            primaryColor = colors.getString("primary");
        }
    }
%>

<% if (!StringUtils.isBlank(primaryColor)) { %>
<style type="text/css">
    :root {
        --primaryColor: <%= primaryColor %>;
        --backgroundColor: #f5f6f6;;
    }

    /*-----------------------------
                Global
    ------------------------------*/

    /* Primary Icons */
    i.icon.primary {
        color: var(--primaryColor);
    }

    /* Primary Text */
    .text-typography.primary {
        color: var(--primaryColor);
    }

    /*-----------------------------
            Page Background
            
     Use a simple background color
      if primary color is defined
    ------------------------------*/

    /* Default Page */
    .login-portal.layout {
        background: var(--backgroundColor);
    }

    /* Default Page with Blurred Patch */
    .login-portal.layout .page-wrapper {
        background: var(--backgroundColor);
    }

    /* Error, Success Pages */
    .login-portal.layout .page-wrapper.success-page, .login-portal.layout .page-wrapper.error-page {
        background: var(--backgroundColor);
    }

    /*-----------------------------
            Buttons
    ------------------------------*/

    /* Buttons */
    .ui.primary.button {
        background: var(--primaryColor);
    }

    .ui.primary.button:hover, .ui.primary.button:focus, .ui.primary.button:active {
        background: var(--primaryColor);
        filter: brightness(0.85);
    }

    /*-----------------------------
            Login Box
    ------------------------------*/

    /* Login Box Links */
    .login-portal.layout .clickable-link {
        color: var(--primaryColor);
    }

    /*-----------------------------
         Login Screen Footer
    ------------------------------*/

    .login-portal.layout .footer .ui.text.menu .item:not(.no-hover):hover {
        color: var(--primaryColor);
    }

    /*-----------------------------
            Anchor Tags
    ------------------------------*/

    /* Anchor Tags */
    a {
        color: var(--primaryColor);
    }

    a:hover, a:focus, a:active {
        color: var(--primaryColor);
        filter: brightness(0.85);
    }
</style>
<% } %>
